<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <title>DictOfSeries &#8212; dios  documentation</title>
    <link rel="stylesheet" href="../_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../_static/graphviz.css" />
    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/language_data.js"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="DtItype" href="dios.DtItype.html" />
    <link rel="prev" title="CastPolicy" href="dios.CastPolicy.html" /> 

</head>
<body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="dios.DtItype.html" title="DtItype"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="dios.CastPolicy.html" title="CastPolicy"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">dios  documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

<div class="section" id="dictofseries">
<h1>
DictOfSeries<a class="headerlink" href="#dictofseries" title="Permalink to this headline">¶</a>
</h1>
<dl class="py class">
<dt id="dios.DictOfSeries">
<em class="property">class
</em><code class="sig-prename descclassname">dios.</code><code class="sig-name descname">DictOfSeries</code>[(]{.sig-paren}<em class="sig-param">[data]{.n}[=]{.o}[None]{.default_value}</em>,
<em class="sig-param">[columns]{.n}[=]{.o}[None]{.default_value}</em>,
<em class="sig-param">[index]{.n}[=]{.o}[None]{.default_value}</em>,
<em class="sig-param">[itype]{.n}[=]{.o}[None]{.default_value}</em>,
<em class="sig-param">[cast\_policy]{.n}[=]{.o}['save']{.default_value}</em>,
<em class="sig-param">[fastpath]{.n}[=]{.o}[False]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Bases:
<code class="xref py py-class docutils literal notranslate"><span class="pre">dios.base.\_DiosBase</span></code>
</p>
<p>
A data frame where every column has its own index.
</p>
<p>
DictOfSeries is a collection of pd.Series’s which aim to be as close as
possible similar to pd.DataFrame. The advantage over pd.DataFrame is,
that every <cite>column</cite> has its own row-index, unlike the former,
which provide a single row-index for all columns. This solves problems
with unaligned data and data which varies widely in length.
</p>
<p>
Indexing with
<code class="docutils literal notranslate">[di\[\]]{.pre}</code>,
<code class="docutils literal notranslate">[di.loc\[\]]{.pre}</code> and
<code class="docutils literal notranslate">[di.iloc\[\]]{.pre}</code>
should work analogous to these methods from pd.DataFrame. The indexer
can be a single label, a slice, a list-like, a boolean list-like, or a
boolean DictOfSeries/pd.DataFrame and can be used to selectively get or
set data.
</p>
<dl class="field-list simple">
<dt class="field-odd">
Parameters
</dt>
<dd class="field-odd">
<ul class="simple">
<li>
<p>
<strong>data</strong> (<em>array-like</em><em>,
</em><em>Iterable</em><em>, </em><em>dict</em><em>, or </em><em>scalar
value</em>) – Contains data stored in Series.
</p>
</li>
<li>
<p>
<strong>columns</strong> (<em>array-like</em>) – Column labels to use
for resulting frame. Will default to RangeIndex(0, 1, 2, …, n) if no
column labels are provided.
</p>
</li>
<li>
<p>
<strong>index</strong> (<em>Index</em><em> or </em><em>array-like</em>)
– Index to use to reindex every given series during init. Ignored if
omitted.
</p>
</li>
<li>
<p>
<strong>itype</strong> (<em>Itype</em><em>, </em><em>pd.Index</em><em>,
</em><em>Itype-string-repr</em><em> or </em><em>type</em>) – Every
series that is inserted, must have an index of this type or any of this
types subtypes. If None, the itype is inferred as soon as the first
non-empty series is inserted.
</p>
</li>
<li>
<p>
<strong>cast\_policy</strong> (<em>{'save'</em><em>,
</em><em>'force'</em><em>, </em><em>'never'}</em><em>, </em><em>default
'save'</em>) – Policy used for (down-)casting the index of a series if
its type does not match the
<code class="docutils literal notranslate">[itype]{.pre}</code>.
</p>
</li>
</ul>
</dd>
</dl>
<p class="rubric">
Attributes Summary
</p>
<table class="longtable docutils align-default">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.aloc" title="dios.DictOfSeries.aloc"><code class="xref py py-obj docutils literal notranslate">[aloc]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.at" title="dios.DictOfSeries.at"><code class="xref py py-obj docutils literal notranslate">[at]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.cast_policy" title="dios.DictOfSeries.cast_policy"><code class="xref py py-obj docutils literal notranslate">[cast\_policy]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.columns" title="dios.DictOfSeries.columns"><code class="xref py py-obj docutils literal notranslate">[columns]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.debugDf" title="dios.DictOfSeries.debugDf"><code class="xref py py-obj docutils literal notranslate">[debugDf]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.dtypes" title="dios.DictOfSeries.dtypes"><code class="xref py py-obj docutils literal notranslate">[dtypes]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.empty" title="dios.DictOfSeries.empty"><code class="xref py py-obj docutils literal notranslate">[empty]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.iat" title="dios.DictOfSeries.iat"><code class="xref py py-obj docutils literal notranslate">[iat]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.iloc" title="dios.DictOfSeries.iloc"><code class="xref py py-obj docutils literal notranslate">[iloc]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.indexes" title="dios.DictOfSeries.indexes"><code class="xref py py-obj docutils literal notranslate">[indexes]{.pre}</code></a>
</p>
</td>
<td>
<p>
Return pd.series with the indexes.
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.itype" title="dios.DictOfSeries.itype"><code class="xref py py-obj docutils literal notranslate">[itype]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.lengths" title="dios.DictOfSeries.lengths"><code class="xref py py-obj docutils literal notranslate">[lengths]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.loc" title="dios.DictOfSeries.loc"><code class="xref py py-obj docutils literal notranslate">[loc]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.size" title="dios.DictOfSeries.size"><code class="xref py py-obj docutils literal notranslate">[size]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.values" title="dios.DictOfSeries.values"><code class="xref py py-obj docutils literal notranslate">[values]{.pre}</code></a>
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
</tbody>
</table>
<p class="rubric">
Methods Summary
</p>
<table class="longtable docutils align-default">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.all" title="dios.DictOfSeries.all"><code class="xref py py-obj docutils literal notranslate">[all]{.pre}</code></a>(\[axis\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.any" title="dios.DictOfSeries.any"><code class="xref py py-obj docutils literal notranslate">[any]{.pre}</code></a>(\[axis\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.apply" title="dios.DictOfSeries.apply"><code class="xref py py-obj docutils literal notranslate">[apply]{.pre}</code></a>(func\[, axis, raw, args\])
</p>
</td>
<td>
<p>
Apply a function along an axis of the DictOfSeries.
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.astype" title="dios.DictOfSeries.astype"><code class="xref py py-obj docutils literal notranslate">[astype]{.pre}</code></a>(dtype\[, copy, errors\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.clear" title="dios.DictOfSeries.clear"><code class="xref py py-obj docutils literal notranslate">[clear]{.pre}</code></a>()
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.copy" title="dios.DictOfSeries.copy"><code class="xref py py-obj docutils literal notranslate">[copy]{.pre}</code></a>(\[deep\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.copy_empty" title="dios.DictOfSeries.copy_empty"><code class="xref py py-obj docutils literal notranslate">[copy\_empty]{.pre}</code></a>(\[columns\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.dropempty" title="dios.DictOfSeries.dropempty"><code class="xref py py-obj docutils literal notranslate">[dropempty]{.pre}</code></a>()
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.dropna" title="dios.DictOfSeries.dropna"><code class="xref py py-obj docutils literal notranslate">[dropna]{.pre}</code></a>(\[inplace\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.equals" title="dios.DictOfSeries.equals"><code class="xref py py-obj docutils literal notranslate">[equals]{.pre}</code></a>(other)
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.for_each" title="dios.DictOfSeries.for_each"><code class="xref py py-obj docutils literal notranslate">[for\_each]{.pre}</code></a>(attr\_or\_callable, \*\*kwds)
</p>
</td>
<td>
<p>
Apply a callable or a pandas.Series method or property on each column.
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.get" title="dios.DictOfSeries.get"><code class="xref py py-obj docutils literal notranslate">[get]{.pre}</code></a>(key\[, default\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.hasnans" title="dios.DictOfSeries.hasnans"><code class="xref py py-obj docutils literal notranslate">[hasnans]{.pre}</code></a>(\[axis, drop\_empty\])
</p>
</td>
<td>
<p>
Returns a boolean Series along an axis, which indicates if it contains
NA-entries.
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.index_of" title="dios.DictOfSeries.index_of"><code class="xref py py-obj docutils literal notranslate">[index\_of]{.pre}</code></a>(\[method\])
</p>
</td>
<td>
<p>
Return an single index with indices from all columns.
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.isdata" title="dios.DictOfSeries.isdata"><code class="xref py py-obj docutils literal notranslate">[isdata]{.pre}</code></a>()
</p>
</td>
<td>
<p>
Alias for
<code class="docutils literal notranslate">[DictOfSeries.notna(drop\_empty=True)]{.pre}</code>.
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.isempty" title="dios.DictOfSeries.isempty"><code class="xref py py-obj docutils literal notranslate">[isempty]{.pre}</code></a>()
</p>
</td>
<td>
<p>
Returns a boolean Series, which indicates if an column is empty
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.isin" title="dios.DictOfSeries.isin"><code class="xref py py-obj docutils literal notranslate">[isin]{.pre}</code></a>(values)
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.isna" title="dios.DictOfSeries.isna"><code class="xref py py-obj docutils literal notranslate">[isna]{.pre}</code></a>(\[drop\_empty\])
</p>
</td>
<td>
<p>
Return a boolean DictOfSeries which indicates NA positions.
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.isnull" title="dios.DictOfSeries.isnull"><code class="xref py py-obj docutils literal notranslate">[isnull]{.pre}</code></a>(\[drop\_empty\])
</p>
</td>
<td>
<p>
Alias, see [DictOfSeries.isna]{.xref .std .std-ref}.
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.items" title="dios.DictOfSeries.items"><code class="xref py py-obj docutils literal notranslate">[items]{.pre}</code></a>()
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.iteritems" title="dios.DictOfSeries.iteritems"><code class="xref py py-obj docutils literal notranslate">[iteritems]{.pre}</code></a>()
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.iterrows" title="dios.DictOfSeries.iterrows"><code class="xref py py-obj docutils literal notranslate">[iterrows]{.pre}</code></a>(\[fill\_value, squeeze\])
</p>
</td>
<td>
<p>
Iterate over DictOfSeries rows as (index, pandas.Series/DictOfSeries)
pairs.
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.keys" title="dios.DictOfSeries.keys"><code class="xref py py-obj docutils literal notranslate">[keys]{.pre}</code></a>()
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.max" title="dios.DictOfSeries.max"><code class="xref py py-obj docutils literal notranslate">[max]{.pre}</code></a>(\[axis, skipna\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.memory_usage" title="dios.DictOfSeries.memory_usage"><code class="xref py py-obj docutils literal notranslate">[memory\_usage]{.pre}</code></a>(\[index, deep\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.min" title="dios.DictOfSeries.min"><code class="xref py py-obj docutils literal notranslate">[min]{.pre}</code></a>(\[axis, skipna\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.notempty" title="dios.DictOfSeries.notempty"><code class="xref py py-obj docutils literal notranslate">[notempty]{.pre}</code></a>()
</p>
</td>
<td>
<p>
Returns a boolean Series, which indicates if an column is not empty
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.notna" title="dios.DictOfSeries.notna"><code class="xref py py-obj docutils literal notranslate">[notna]{.pre}</code></a>(\[drop\_empty\])
</p>
</td>
<td>
<p>
Return a boolean DictOfSeries which indicates non-NA positions.
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.notnull" title="dios.DictOfSeries.notnull"><code class="xref py py-obj docutils literal notranslate">[notnull]{.pre}</code></a>(\[drop\_empty\])
</p>
</td>
<td>
<p>
Alias, see
<code class="docutils literal notranslate">[DictOfSeries.notna]{.pre}</code>.
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.pop" title="dios.DictOfSeries.pop"><code class="xref py py-obj docutils literal notranslate">[pop]{.pre}</code></a>(\*args)
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.popitem" title="dios.DictOfSeries.popitem"><code class="xref py py-obj docutils literal notranslate">[popitem]{.pre}</code></a>()
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.reduce_columns" title="dios.DictOfSeries.reduce_columns"><code class="xref py py-obj docutils literal notranslate">[reduce\_columns]{.pre}</code></a>(func\[, initial, skipna\])
</p>
</td>
<td>
<p>
Reduce all columns to a single pandas.Series by a given function.
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.setdefault" title="dios.DictOfSeries.setdefault"><code class="xref py py-obj docutils literal notranslate">[setdefault]{.pre}</code></a>(key\[, default\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.squeeze" title="dios.DictOfSeries.squeeze"><code class="xref py py-obj docutils literal notranslate">[squeeze]{.pre}</code></a>(\[axis\])
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.to_csv" title="dios.DictOfSeries.to_csv"><code class="xref py py-obj docutils literal notranslate">[to\_csv]{.pre}</code></a>(\*args, \*\*kwargs)
</p>
</td>
<td>
<p>
Write object to a comma-separated values (csv) file.
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.to_df" title="dios.DictOfSeries.to_df"><code class="xref py py-obj docutils literal notranslate">[to\_df]{.pre}</code></a>()
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
<tr class="row-odd">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.to_string" title="dios.DictOfSeries.to_string"><code class="xref py py-obj docutils literal notranslate">[to\_string]{.pre}</code></a>(\[max\_rows, min\_rows, max\_cols, …\])
</p>
</td>
<td>
<p>
Pretty print a dios.
</p>
</td>
</tr>
<tr class="row-even">
<td>
<p>
<a class="reference internal" href="#dios.DictOfSeries.update" title="dios.DictOfSeries.update"><code class="xref py py-obj docutils literal notranslate">[update]{.pre}</code></a>(other)
</p>
</td>
<td>
<p>
</p>
</td>
</tr>
</tbody>
</table>
<p class="rubric">
Attributes Documentation
</p>
<dl class="py attribute">
<dt id="dios.DictOfSeries.aloc">
<code class="sig-name descname">aloc</code><a class="headerlink" href="#dios.DictOfSeries.aloc" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.at">
<code class="sig-name descname">at</code><a class="headerlink" href="#dios.DictOfSeries.at" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.cast_policy">
<code class="sig-name descname">cast\_policy</code><a class="headerlink" href="#dios.DictOfSeries.cast_policy" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.columns">
<code class="sig-name descname">columns</code><a class="headerlink" href="#dios.DictOfSeries.columns" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.debugDf">
<code class="sig-name descname">debugDf</code><a class="headerlink" href="#dios.DictOfSeries.debugDf" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.dtypes">
<code class="sig-name descname">dtypes</code><a class="headerlink" href="#dios.DictOfSeries.dtypes" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.empty">
<code class="sig-name descname">empty</code><a class="headerlink" href="#dios.DictOfSeries.empty" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.iat">
<code class="sig-name descname">iat</code><a class="headerlink" href="#dios.DictOfSeries.iat" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.iloc">
<code class="sig-name descname">iloc</code><a class="headerlink" href="#dios.DictOfSeries.iloc" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.indexes">
<code class="sig-name descname">indexes</code><a class="headerlink" href="#dios.DictOfSeries.indexes" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Return pd.series with the indexes.
</p>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.itype">
<code class="sig-name descname">itype</code><a class="headerlink" href="#dios.DictOfSeries.itype" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.lengths">
<code class="sig-name descname">lengths</code><a class="headerlink" href="#dios.DictOfSeries.lengths" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.loc">
<code class="sig-name descname">loc</code><a class="headerlink" href="#dios.DictOfSeries.loc" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.size">
<code class="sig-name descname">size</code><a class="headerlink" href="#dios.DictOfSeries.size" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py attribute">
<dt id="dios.DictOfSeries.values">
<code class="sig-name descname">values</code><a class="headerlink" href="#dios.DictOfSeries.values" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<p class="rubric">
Methods Documentation
</p>
<dl class="py method">
<dt id="dios.DictOfSeries.all">
<code class="sig-name descname">all</code>[(]{.sig-paren}<em class="sig-param">[axis]{.n}[=]{.o}[0]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.all" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.any">
<code class="sig-name descname">any</code>[(]{.sig-paren}<em class="sig-param">[axis]{.n}[=]{.o}[0]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.any" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.apply">
<code class="sig-name descname">apply</code>[(]{.sig-paren}<em class="sig-param">[func]{.n}</em>,
<em class="sig-param">[axis]{.n}[=]{.o}[0]{.default_value}</em>,
<em class="sig-param">[raw]{.n}[=]{.o}[False]{.default_value}</em>,
<em class="sig-param">[args]{.n}[=]{.o}[]{.default_value}</em>,
<em class="sig-param"><span class="o">\*\*</span>[kwds]{.n}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.apply" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Apply a function along an axis of the DictOfSeries.
</p>
<dl class="field-list simple">
<dt class="field-odd">
Parameters
</dt>
<dd class="field-odd">
<ul class="simple">
<li>
<p>
<strong>func</strong> (<em>callable</em>) – Function to apply on each
column.
</p>
</li>
<li>
<p>
<strong>axis</strong> (<em>{0</em><em> or </em><em>'index'</em><em>,
</em><em>1</em><em> or </em><em>'columns'}</em><em>, </em><em>default
0</em>) –
<p>
Axis along which the function is applied:
</p>
<ul>
<li>
<p>
0 or ‘index’: apply function to each column.
</p>
</li>
<li>
<p>
1 or ‘columns’: NOT IMPLEMENTED
</p>
</li>
</ul>
</p>
</li>
<li>
<p>
<strong>raw</strong> (<em>bool</em><em>, </em><em>default False</em>) –
<p>
Determines if row or column is passed as a Series or ndarray object:
</p>
<ul>
<li>
<p>
<code class="docutils literal notranslate">[False]{.pre}</code> : passes
each row or column as a Series to the function.
</p>
</li>
<li>
<p>
<code class="docutils literal notranslate">[True]{.pre}</code> : the
passed function will receive ndarray objects instead. If you are just
applying a NumPy reduction function this will achieve much better
performance.
</p>
</li>
</ul>
</p>
</li>
<li>
<p>
<strong>args</strong> (<em>tuple</em>) – Positional arguments to pass to
<cite>func</cite> in addition to the array/series.
</p>
</li>
<li>
<p>
<strong>\*\*kwds</strong> – Additional keyword arguments to pass as
keywords arguments to <cite>func</cite>.
</p>
</li>
</ul>
</dd>
<dt class="field-even">
Returns
</dt>
<dd class="field-even">
<p>
Result of applying
<code class="docutils literal notranslate">[func]{.pre}</code> along the
given axis of the DataFrame.
</p>
</dd>
<dt class="field-odd">
Return type
</dt>
<dd class="field-odd">
<p>
Series or DataFrame
</p>
</dd>
<dt class="field-even">
Raises
</dt>
<dd class="field-even">
<p>
<strong>NotImplementedError</strong> –
<ul class="simple">
<li>
<p>
if axis is ‘columns’ or 1
</p>
</li>
</ul>
</p>
</dd>
</dl>
<div class="admonition seealso">

<p class="admonition-title">
See also
</p>
<dl class="simple">
<dt>
<a class="reference internal" href="#dios.DictOfSeries.for_each" title="dios.DictOfSeries.for_each"><code class="xref py py-meth docutils literal notranslate">[DictOfSeries.for\_each()]{.pre}</code></a>
</dt>
<dd>
<p>
apply pd.Series methods or properties to each column
</p>
</dd>
</dl>

</div>

</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.astype">
<code class="sig-name descname">astype</code>[(]{.sig-paren}<em class="sig-param">[dtype]{.n}</em>,
<em class="sig-param">[copy]{.n}[=]{.o}[True]{.default_value}</em>,
<em class="sig-param">[errors]{.n}[=]{.o}['raise']{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.astype" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.clear">
<code class="sig-name descname">clear</code>[(]{.sig-paren}[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.clear" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.copy">
<code class="sig-name descname">copy</code>[(]{.sig-paren}<em class="sig-param">[deep]{.n}[=]{.o}[True]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.copy" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.copy_empty">
<code class="sig-name descname">copy\_empty</code>[(]{.sig-paren}<em class="sig-param">[columns]{.n}[=]{.o}[True]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.copy_empty" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.dropempty">
<code class="sig-name descname">dropempty</code>[(]{.sig-paren}[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.dropempty" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.dropna">
<code class="sig-name descname">dropna</code>[(]{.sig-paren}<em class="sig-param">[inplace]{.n}[=]{.o}[False]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.dropna" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.equals">
<code class="sig-name descname">equals</code>[(]{.sig-paren}<em class="sig-param">[other]{.n}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.equals" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.for_each">
<code class="sig-name descname">for\_each</code>[(]{.sig-paren}<em class="sig-param">[attr\_or\_callable]{.n}</em>,
<em class="sig-param"><span class="o">\*\*</span>[kwds]{.n}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.for_each" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Apply a callable or a pandas.Series method or property on each column.
</p>
<dl class="field-list simple">
<dt class="field-odd">
Parameters
</dt>
<dd class="field-odd">
<ul class="simple">
<li>
<p>
<strong>attr\_or\_callable</strong> (<em>Any</em>) – A pandas.Series
attribute or any callable, to apply on each column. A series attribute
can be any property, field or method and also could be specified as
string. If a callable is given it must take pandas.Series as the only
positional argument.
</p>
</li>
<li>
<p>
<strong>\*\*kwds</strong> (<em>any</em>) – kwargs to passed to callable
</p>
</li>
</ul>
</dd>
<dt class="field-even">
Returns
</dt>
<dd class="field-even">
<p>
A series with the results, indexed by the column labels.
</p>
</dd>
<dt class="field-odd">
Return type
</dt>
<dd class="field-odd">
<p>
pandas.Series
</p>
</dd>
</dl>
<div class="admonition seealso">

<p class="admonition-title">
See also
</p>
<dl class="simple">
<dt>
<a class="reference internal" href="#dios.DictOfSeries.apply" title="dios.DictOfSeries.apply"><code class="xref py py-meth docutils literal notranslate">[DictOfSeries.apply()]{.pre}</code></a>
</dt>
<dd>
<p>
Apply functions to columns and convert result to DictOfSeries.
</p>
</dd>
</dl>

</div>

<p class="rubric">
Examples
</p>
<div class="doctest highlight-default notranslate">

<div class="highlight">

<pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">d</span> <span class="o">=</span> <span class="n">DictOfSeries</span><span class="p">([</span><span class="nb">range</span><span class="p">(</span><span class="mi">3</span><span class="p">),</span> <span class="nb">range</span><span class="p">(</span><span class="mi">4</span><span class="p">)],</span> <span class="n">columns</span><span class="o">=</span><span class="p">[</span><span class="s1">&#39;a&#39;</span><span class="p">,</span> <span class="s1">&#39;b&#39;</span><span class="p">])</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">d</span>
<span class="go">   a |    b |</span>
<span class="go">==== | ==== |</span>
<span class="go">0  0 | 0  0 |</span>
<span class="go">1  1 | 1  1 |</span>
<span class="go">2  2 | 2  2 |</span>
<span class="go">     | 3  3 |</span>
</pre>

</div>

</div>

<p>
Use with a callable..
</p>
<div class="doctest highlight-default notranslate">

<div class="highlight">

<pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">d</span><span class="o">.</span><span class="n">for_each</span><span class="p">(</span><span class="nb">max</span><span class="p">)</span>
<span class="go">columns</span>
<span class="go">a    2</span>
<span class="go">b    3</span>
<span class="go">dtype: object</span>
</pre>

</div>

</div>

<p>
..or with a string, denoting a pd.Series attribute and therefor is the
same as giving the latter.
</p>
<div class="doctest highlight-default notranslate">

<div class="highlight">

<pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">d</span><span class="o">.</span><span class="n">for_each</span><span class="p">(</span><span class="s1">&#39;max&#39;</span><span class="p">)</span>
<span class="go">columns</span>
<span class="go">a    2</span>
<span class="go">b    3</span>
<span class="go">dtype: object</span>
</pre>

</div>

</div>

<div class="doctest highlight-default notranslate">

<div class="highlight">

<pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">d</span><span class="o">.</span><span class="n">for_each</span><span class="p">(</span><span class="n">pd</span><span class="o">.</span><span class="n">Series</span><span class="o">.</span><span class="n">max</span><span class="p">)</span>
<span class="go">columns</span>
<span class="go">a    2</span>
<span class="go">b    3</span>
<span class="go">dtype: object</span>
</pre>

</div>

</div>

<p>
Both also works with properties:
</p>
<div class="doctest highlight-default notranslate">

<div class="highlight">

<pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">d</span><span class="o">.</span><span class="n">for_each</span><span class="p">(</span><span class="s1">&#39;dtype&#39;</span><span class="p">)</span>
<span class="go">columns</span>
<span class="go">a    int64</span>
<span class="go">b    int64</span>
<span class="go">dtype: object</span>
</pre>

</div>

</div>

</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.get">
<code class="sig-name descname">get</code>[(]{.sig-paren}<em class="sig-param">[key]{.n}</em>,
<em class="sig-param">[default]{.n}[=]{.o}[None]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.get" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.hasnans">
<code class="sig-name descname">hasnans</code>[(]{.sig-paren}<em class="sig-param">[axis]{.n}[=]{.o}[0]{.default_value}</em>,
<em class="sig-param">[drop\_empty]{.n}[=]{.o}[False]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.hasnans" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Returns a boolean Series along an axis, which indicates if it contains
NA-entries.
</p>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.index_of">
<code class="sig-name descname">index\_of</code>[(]{.sig-paren}<em class="sig-param">[method]{.n}[=]{.o}['all']{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.index_of" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Return an single index with indices from all columns.
</p>
<dl class="field-list simple">
<dt class="field-odd">
Parameters
</dt>
<dd class="field-odd">
<p>
<strong>method</strong> (<em>string</em>) –
<ul class="simple">
<li>
<p>
‘all’ : get all indices from all columns
</p>
</li>
<li>
<p>
’union’ : alias for ‘all’
</p>
</li>
<li>
<p>
’shared’ : get indices that are present in every columns
</p>
</li>
<li>
<p>
’intersection’ : alias for ‘shared’
</p>
</li>
<li>
<p>
’uniques’ : get indices that are only present in a single column
</p>
</li>
<li>
<p>
’non-uniques’ : get indices that are present in more than one column
</p>
</li>
</ul>
</p>
</dd>
<dt class="field-even">
Returns
</dt>
<dd class="field-even">
<p>
A single duplicate-free index, somehow representing indices of all
columns.
</p>
</dd>
<dt class="field-odd">
Return type
</dt>
<dd class="field-odd">
<p>
pd.Index
</p>
</dd>
</dl>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.isdata">
<code class="sig-name descname">isdata</code>[(]{.sig-paren}[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.isdata" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Alias for
<code class="docutils literal notranslate">[DictOfSeries.notna(drop\_empty=True)]{.pre}</code>.
</p>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.isempty">
<code class="sig-name descname">isempty</code>[(]{.sig-paren}[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.isempty" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Returns a boolean Series, which indicates if an column is empty
</p>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.isin">
<code class="sig-name descname">isin</code>[(]{.sig-paren}<em class="sig-param">[values]{.n}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.isin" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.isna">
<code class="sig-name descname">isna</code>[(]{.sig-paren}<em class="sig-param">[drop\_empty]{.n}[=]{.o}[False]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.isna" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Return a boolean DictOfSeries which indicates NA positions.
</p>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.isnull">
<code class="sig-name descname">isnull</code>[(]{.sig-paren}<em class="sig-param">[drop\_empty]{.n}[=]{.o}[False]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.isnull" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Alias, see [DictOfSeries.isna]{.xref .std .std-ref}.
</p>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.items">
<code class="sig-name descname">items</code>[(]{.sig-paren}[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.items" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.iteritems">
<code class="sig-name descname">iteritems</code>[(]{.sig-paren}[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.iteritems" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.iterrows">
<code class="sig-name descname">iterrows</code>[(]{.sig-paren}<em class="sig-param">[fill\_value]{.n}[=]{.o}[nan]{.default_value}</em>,
<em class="sig-param">[squeeze]{.n}[=]{.o}[True]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.iterrows" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Iterate over DictOfSeries rows as (index, pandas.Series/DictOfSeries)
pairs. <strong>MAY BE VERY PERFORMANCE AND/OR MEMORY EXPENSIVE</strong>
</p>
<dl class="field-list simple">
<dt class="field-odd">
Parameters
</dt>
<dd class="field-odd">
<ul class="simple">
<li>
<p>
<strong>fill\_value</strong> (<em>scalar</em><em>, </em><em>default
numpy.nan</em>) –
<p>
Fill value for row entry, if the column does not have an entry at the
current index location. This ensures that the returned Row always
contain all columns. If
<code class="docutils literal notranslate">[None]{.pre}</code> is given
no value is filled.
</p>
<p>
If
<code class="docutils literal notranslate">[fill\_value=None]{.pre}</code>
and
<code class="docutils literal notranslate">[squeeze=True]{.pre}</code>
the resulting Row (a pandas.Series) may differ in length between
iterator calls. That’s because an entry, that is not present in a
column, will also not be present in the resulting Row.
</p>
</p>
</li>
<li>
<p>
<strong>squeeze</strong> (<em>bool</em><em>, </em><em>default
False</em>) –
<ul>
<li>
<p>
<code class="docutils literal notranslate">[True]{.pre}</code> : A
pandas.Series is returned for each row.
</p>
</li>
<li>
<p>
<code class="docutils literal notranslate">[False]{.pre}</code> : A
single-rowed DictOfSeries is returned for each row.
</p>
</li>
</ul>
</p>
</li>
</ul>
</dd>
<dt class="field-even">
Yields
</dt>
<dd class="field-even">
<ul class="simple">
<li>
<p>
<strong>index</strong> (<em>label</em>) – The index of the row.
</p>
</li>
<li>
<p>
<strong>data</strong> (<em>Series or DictOfSeries</em>) – The data of
the row as a Series if squeeze is True, as a DictOfSeries otherwise.
</p>
</li>
</ul>
</dd>
</dl>
<div class="admonition seealso">

<p class="admonition-title">
See also
</p>
<dl class="simple">
<dt>
<code class="xref py py-meth docutils literal notranslate">[DataFrame.iteritems()]{.pre}</code>
</dt>
<dd>
<p>
Iterate over (column name, Series) pairs.
</p>
</dd>
</dl>

</div>

</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.keys">
<code class="sig-name descname">keys</code>[(]{.sig-paren}[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.keys" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.max">
<code class="sig-name descname">max</code>[(]{.sig-paren}<em class="sig-param">[axis]{.n}[=]{.o}[None]{.default_value}</em>,
<em class="sig-param">[skipna]{.n}[=]{.o}[None]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.max" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.memory_usage">
<code class="sig-name descname">memory\_usage</code>[(]{.sig-paren}<em class="sig-param">[index]{.n}[=]{.o}[True]{.default_value}</em>,
<em class="sig-param">[deep]{.n}[=]{.o}[False]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.memory_usage" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.min">
<code class="sig-name descname">min</code>[(]{.sig-paren}<em class="sig-param">[axis]{.n}[=]{.o}[0]{.default_value}</em>,
<em class="sig-param">[skipna]{.n}[=]{.o}[True]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.min" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.notempty">
<code class="sig-name descname">notempty</code>[(]{.sig-paren}[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.notempty" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Returns a boolean Series, which indicates if an column is not empty
</p>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.notna">
<code class="sig-name descname">notna</code>[(]{.sig-paren}<em class="sig-param">[drop\_empty]{.n}[=]{.o}[False]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.notna" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Return a boolean DictOfSeries which indicates non-NA positions.
</p>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.notnull">
<code class="sig-name descname">notnull</code>[(]{.sig-paren}<em class="sig-param">[drop\_empty]{.n}[=]{.o}[False]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.notnull" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Alias, see
<code class="docutils literal notranslate">[DictOfSeries.notna]{.pre}</code>.
</p>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.pop">
<code class="sig-name descname">pop</code>[(]{.sig-paren}<em class="sig-param"><span class="o">\*</span>[args]{.n}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.pop" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.popitem">
<code class="sig-name descname">popitem</code>[(]{.sig-paren}[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.popitem" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.reduce_columns">
<code class="sig-name descname">reduce\_columns</code>[(]{.sig-paren}<em class="sig-param">[func]{.n}</em>,
<em class="sig-param">[initial]{.n}[=]{.o}[None]{.default_value}</em>,
<em class="sig-param">[skipna]{.n}[=]{.o}[False]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.reduce_columns" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Reduce all columns to a single pandas.Series by a given function.
</p>
<p>
Apply a function of two pandas.Series as arguments, cumulatively to all
columns, from left to right, so as to reduce the columns to a single
pandas.Series. If initial is present, it is placed before the columns in
the calculation, and serves as a default when the columns are empty.
</p>
<dl class="field-list simple">
<dt class="field-odd">
Parameters
</dt>
<dd class="field-odd">
<ul class="simple">
<li>
<p>
<strong>func</strong> (<em>function</em>) – The function must take two
identically indexed pandas.Series and should return a single
pandas.Series with the same index.
</p>
</li>
<li>
<p>
<strong>initial</strong> (<em>column-label</em><em> or
</em><em>pd.Series</em><em>, </em><em>default None</em>) – The series to
start with. If None a dummy series is created, with the indices of all
columns and the first seen values.
</p>
</li>
<li>
<p>
<strong>skipna</strong> (<em>bool</em><em>, </em><em>default False</em>)
– If True, skip NaN values.
</p>
</li>
</ul>
</dd>
<dt class="field-even">
Returns
</dt>
<dd class="field-even">
<p>
A series with the reducing result and the index of the start series,
defined by
<code class="docutils literal notranslate">[initializer]{.pre}</code>.
</p>
</dd>
<dt class="field-odd">
Return type
</dt>
<dd class="field-odd">
<p>
pandas.Series
</p>
</dd>
</dl>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.setdefault">
<code class="sig-name descname">setdefault</code>[(]{.sig-paren}<em class="sig-param">[key]{.n}</em>,
<em class="sig-param">[default]{.n}[=]{.o}[None]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.setdefault" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.squeeze">
<code class="sig-name descname">squeeze</code>[(]{.sig-paren}<em class="sig-param">[axis]{.n}[=]{.o}[None]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.squeeze" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.to_csv">
<code class="sig-name descname">to\_csv</code>[(]{.sig-paren}<em class="sig-param"><span class="o">\*</span>[args]{.n}</em>,
<em class="sig-param"><span class="o">\*\*</span>[kwargs]{.n}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.to_csv" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Write object to a comma-separated values (csv) file.
</p>
<div class="versionchanged">

<p>
[Changed in version 0.24.0: ]{.versionmodified .changed}The order of
arguments for Series was changed.
</p>

</div>

<dl class="field-list simple">
<dt class="field-odd">
Parameters
</dt>
<dd class="field-odd">
<ul class="simple">
<li>
<p>
<strong>path\_or\_buf</strong> (<em>str</em><em> or </em><em>file
handle</em><em>, </em><em>default None</em>) –
<p>
File path or object, if None is provided the result is returned as a
string. If a file object is passed it should be opened with
<cite>newline=’’</cite>, disabling universal newlines.
</p>
<div class="versionchanged">

<p>
[Changed in version 0.24.0: ]{.versionmodified .changed}Was previously
named “path” for Series.
</p>

</div>

</p>
</li>
<li>
<p>
<strong>sep</strong> (<em>str</em><em>, </em><em>default
'</em><em>,</em><em>'</em>) – String of length 1. Field delimiter for
the output file.
</p>
</li>
<li>
<p>
<strong>na\_rep</strong> (<em>str</em><em>, </em><em>default ''</em>) –
Missing data representation.
</p>
</li>
<li>
<p>
<strong>float\_format</strong> (<em>str</em><em>, </em><em>default
None</em>) – Format string for floating point numbers.
</p>
</li>
<li>
<p>
<strong>columns</strong> (<em>sequence</em><em>, </em><em>optional</em>)
– Columns to write.
</p>
</li>
<li>
<p>
<strong>header</strong> (<em>bool</em><em> or </em><em>list of
str</em><em>, </em><em>default True</em>) –
<p>
Write out the column names. If a list of strings is given it is assumed
to be aliases for the column names.
</p>
<div class="versionchanged">

<p>
[Changed in version 0.24.0: ]{.versionmodified .changed}Previously
defaulted to False for Series.
</p>

</div>

</p>
</li>
<li>
<p>
<strong>index</strong> (<em>bool</em><em>, </em><em>default True</em>) –
Write row names (index).
</p>
</li>
<li>
<p>
<strong>index\_label</strong> (<em>str</em><em> or
</em><em>sequence</em><em>, or </em><em>False</em><em>, </em><em>default
None</em>) – Column label for index column(s) if desired. If None is
given, and <cite>header</cite> and <cite>index</cite> are True, then the
index names are used. A sequence should be given if the object uses
MultiIndex. If False do not print fields for index names. Use
index\_label=False for easier importing in R.
</p>
</li>
<li>
<p>
<strong>mode</strong> (<em>str</em>) – Python write mode, default ‘w’.
</p>
</li>
<li>
<p>
<strong>encoding</strong> (<em>str</em><em>, </em><em>optional</em>) – A
string representing the encoding to use in the output file, defaults to
‘utf-8’.
</p>
</li>
<li>
<p>
<strong>compression</strong> (<em>str</em><em> or
</em><em>dict</em><em>, </em><em>default 'infer'</em>) –
<p>
If str, represents compression mode. If dict, value at ‘method’ is the
compression mode. Compression mode may be any of the following possible
values: {‘infer’, ‘gzip’, ‘bz2’, ‘zip’, ‘xz’, None}. If compression mode
is ‘infer’ and <cite>path\_or\_buf</cite> is path-like, then detect
compression mode from the following extensions: ‘.gz’, ‘.bz2’, ‘.zip’ or
‘.xz’. (otherwise no compression). If dict given and mode is ‘zip’ or
inferred as ‘zip’, other entries passed as additional compression
options.
</p>
<div class="versionchanged">

<p>
[Changed in version 1.0.0: ]{.versionmodified .changed}May now be a dict
with key ‘method’ as compression mode and other entries as additional
compression options if compression mode is ‘zip’.
</p>

</div>

</p>
</li>
<li>
<p>
<strong>quoting</strong> (<em>optional constant from csv module</em>) –
Defaults to csv.QUOTE\_MINIMAL. If you have set a
<cite>float\_format</cite> then floats are converted to strings and thus
csv.QUOTE\_NONNUMERIC will treat them as non-numeric.
</p>
</li>
<li>
<p>
<strong>quotechar</strong> (<em>str</em><em>, </em><em>default '"'</em>)
– String of length 1. Character used to quote fields.
</p>
</li>
<li>
<p>
<strong>line\_terminator</strong> (<em>str</em><em>,
</em><em>optional</em>) –
<p>
The newline character or character sequence to use in the output file.
Defaults to <cite>os.linesep</cite>, which depends on the OS in which
this method is called (‘n’ for linux, ‘rn’ for Windows, i.e.).
</p>
<div class="versionchanged">

<p>
[Changed in version 0.24.0.]{.versionmodified .changed}
</p>

</div>

</p>
</li>
<li>
<p>
<strong>chunksize</strong> (<em>int</em><em> or </em><em>None</em>) –
Rows to write at a time.
</p>
</li>
<li>
<p>
<strong>date\_format</strong> (<em>str</em><em>, </em><em>default
None</em>) – Format string for datetime objects.
</p>
</li>
<li>
<p>
<strong>doublequote</strong> (<em>bool</em><em>, </em><em>default
True</em>) – Control quoting of <cite>quotechar</cite> inside a field.
</p>
</li>
<li>
<p>
<strong>escapechar</strong> (<em>str</em><em>, </em><em>default
None</em>) – String of length 1. Character used to escape
<cite>sep</cite> and <cite>quotechar</cite> when appropriate.
</p>
</li>
<li>
<p>
<strong>decimal</strong> (<em>str</em><em>, </em><em>default '.'</em>) –
Character recognized as decimal separator. E.g. use ‘,’ for European
data.
</p>
</li>
</ul>
</dd>
<dt class="field-even">
Returns
</dt>
<dd class="field-even">
<p>
If path\_or\_buf is None, returns the resulting csv format as a string.
Otherwise returns None.
</p>
</dd>
<dt class="field-odd">
Return type
</dt>
<dd class="field-odd">
<p>
None or str
</p>
</dd>
</dl>
<div class="admonition seealso">

<p class="admonition-title">
See also
</p>
<dl class="simple">
<dt>
<code class="xref py py-meth docutils literal notranslate">[read\_csv()]{.pre}</code>
</dt>
<dd>
<p>
Load a CSV file into a DataFrame.
</p>
</dd>
<dt>
<code class="xref py py-meth docutils literal notranslate">[to\_excel()]{.pre}</code>
</dt>
<dd>
<p>
Write DataFrame to an Excel file.
</p>
</dd>
</dl>

</div>

<p class="rubric">
Examples
</p>
<div class="doctest highlight-default notranslate">

<div class="highlight">

<pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">df</span> <span class="o">=</span> <span class="n">pd</span><span class="o">.</span><span class="n">DataFrame</span><span class="p">({</span><span class="s1">&#39;name&#39;</span><span class="p">:</span> <span class="p">[</span><span class="s1">&#39;Raphael&#39;</span><span class="p">,</span> <span class="s1">&#39;Donatello&#39;</span><span class="p">],</span>
<span class="gp">... </span>                   <span class="s1">&#39;mask&#39;</span><span class="p">:</span> <span class="p">[</span><span class="s1">&#39;red&#39;</span><span class="p">,</span> <span class="s1">&#39;purple&#39;</span><span class="p">],</span>
<span class="gp">... </span>                   <span class="s1">&#39;weapon&#39;</span><span class="p">:</span> <span class="p">[</span><span class="s1">&#39;sai&#39;</span><span class="p">,</span> <span class="s1">&#39;bo staff&#39;</span><span class="p">]})</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">df</span><span class="o">.</span><span class="n">to_csv</span><span class="p">(</span><span class="n">index</span><span class="o">=</span><span class="kc">False</span><span class="p">)</span>
<span class="go">&#39;name,mask,weapon\nRaphael,red,sai\nDonatello,purple,bo staff\n&#39;</span>
</pre>

</div>

</div>

<p>
Create ‘out.zip’ containing ‘out.csv’
</p>
<div class="doctest highlight-default notranslate">

<div class="highlight">

<pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">compression_opts</span> <span class="o">=</span> <span class="nb">dict</span><span class="p">(</span><span class="n">method</span><span class="o">=</span><span class="s1">&#39;zip&#39;</span><span class="p">,</span>
<span class="gp">... </span>                        <span class="n">archive_name</span><span class="o">=</span><span class="s1">&#39;out.csv&#39;</span><span class="p">)</span>  
<span class="gp">&gt;&gt;&gt; </span><span class="n">df</span><span class="o">.</span><span class="n">to_csv</span><span class="p">(</span><span class="s1">&#39;out.zip&#39;</span><span class="p">,</span> <span class="n">index</span><span class="o">=</span><span class="kc">False</span><span class="p">,</span>
<span class="gp">... </span>          <span class="n">compression</span><span class="o">=</span><span class="n">compression_opts</span><span class="p">)</span>  
</pre>

</div>

</div>

</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.to_df">
<code class="sig-name descname">to\_df</code>[(]{.sig-paren}[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.to_df" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.to_string">
<code class="sig-name descname">to\_string</code>[(]{.sig-paren}<em class="sig-param">[max\_rows]{.n}[=]{.o}[None]{.default_value}</em>,
<em class="sig-param">[min\_rows]{.n}[=]{.o}[None]{.default_value}</em>,
<em class="sig-param">[max\_cols]{.n}[=]{.o}[None]{.default_value}</em>,
<em class="sig-param">[na\_rep]{.n}[=]{.o}['NaN']{.default_value}</em>,
<em class="sig-param">[show\_dimensions]{.n}[=]{.o}[False]{.default_value}</em>,
<em class="sig-param">[method]{.n}[=]{.o}['indexed']{.default_value}</em>,
<em class="sig-param">[no\_value]{.n}[=]{.o}[' ']{.default_value}</em>,
<em class="sig-param">[empty\_series\_rep]{.n}[=]{.o}['no
data']{.default_value}</em>,
<em class="sig-param">[col\_delim]{.n}[=]{.o}[' |
']{.default_value}</em>,
<em class="sig-param">[header\_delim]{.n}[=]{.o}['=']{.default_value}</em>,
<em class="sig-param">[col\_space]{.n}[=]{.o}[None]{.default_value}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.to_string" title="Permalink to this definition">¶</a>
</dt>
<dd>
<p>
Pretty print a dios.
</p>
<dl class="simple">
<dt>
if <cite>method</cite> == <cite>indexed</cite> (default):
</dt>
<dd>
<p>
every column is represented by a own index and corresponding values
</p>
</dd>
<dt>
if <cite>method</cite> == <cite>aligned</cite>
[2](the%20common-params%20are%20directly%20passed%20to%20pd.DataFrame.to_string(..)):
</dt>
<dd>
<p>
one(!) global index is generated and values from a column appear at the
corresponding index-location.
</p>
</dd>
</dl>
<dl class="field-list simple">
<dt class="field-odd">
Parameters
</dt>
<dd class="field-odd">
<ul class="simple">
<li>
<p>
<strong>max\_cols</strong> – not more column than <cite>max\_cols</cite>
are printed
[1](defaults%20to%20the%20corresponding%20value%20in%20%3Ccite%3Edios_options%3C/cite%3E)
</p>
</li>
<li>
<p>
<strong>max\_rows</strong> – see <cite>min\_rows</cite>
[1](defaults%20to%20the%20corresponding%20value%20in%20%3Ccite%3Edios_options%3C/cite%3E)
</p>
</li>
<li>
<p>
<strong>min\_rows</strong> – not more rows than <cite>min\_rows</cite>
are printed, if rows of any series exceed <cite>max\_rows</cite>
[1](defaults%20to%20the%20corresponding%20value%20in%20%3Ccite%3Edios_options%3C/cite%3E)
</p>
</li>
<li>
<p>
<strong>na\_rep</strong> – all NaN-values are replaced by
<cite>na\_rep</cite>. Default <cite>NaN</cite>
</p>
</li>
<li>
<p>
<strong>empty\_series\_rep</strong> – Ignored if not
<cite>method=’indexed’</cite>. Empty series are represented by the
string in <cite>empty\_series\_rep</cite>
</p>
</li>
<li>
<p>
<strong>col\_delim</strong> (<em>str</em>) – Ignored if not
<cite>method=’indexed’</cite>. between all columns
<cite>col\_delim</cite> is inserted.
</p>
</li>
<li>
<p>
<strong>header\_delim</strong> – Ignored if not
<cite>method=’indexed’</cite>. between the column names (header) and the
data, <cite>header\_delim</cite> is inserted, if not None. The string is
repeated, up to the width of the column. (str or None).
</p>
</li>
<li>
<p>
<strong>no\_value</strong> – Ignored if not
<cite>method=’aligned’</cite>. value that indicates, that no entry in
the underling series is present. Bear in mind that this should differ
from <cite>na\_rep</cite>, otherwise you cannot differ missing- from
NaN- values.
</p>
</li>
</ul>
</dd>
</dl>
<p class="rubric">
Notes
</p>
<p>
under the hood, if method is <cite>aligned</cite>
</p>
</dd>
</dl>
<dl class="py method">
<dt id="dios.DictOfSeries.update">
<code class="sig-name descname">update</code>[(]{.sig-paren}<em class="sig-param">[other]{.n}</em>[)]{.sig-paren}<a class="headerlink" href="#dios.DictOfSeries.update" title="Permalink to this definition">¶</a>
</dt>
<dd>
</dd>
</dl>
</dd>
</dl>
</div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">

<h4>
Previous topic
</h4>
<p class="topless">
<a href="dios.CastPolicy.html"
                        title="previous chapter">CastPolicy</a>
</p>
<h4>
Next topic
</h4>
<p class="topless">
<a href="dios.DtItype.html"
                        title="next chapter">DtItype</a>
</p>
<div role="note" aria-label="source link">

    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/api/dios.DictOfSeries.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>

</div>

<div id="searchbox" style="display: none" role="search">

<h3 id="searchlabel">
Quick search
</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>

</div>

<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="dios.DtItype.html" title="DtItype"
             >next</a> |</li>
        <li class="right" >
          <a href="dios.CastPolicy.html" title="CastPolicy"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">dios  documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Bert Palm.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 3.0.1.
    </div>

</body>
</html>
